Bug 21193 - /usr/include/_G_config.h:53: Internal error: Segmentation fault.
Summary: /usr/include/_G_config.h:53: Internal error: Segmentation fault.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-21 17:35 UTC by Pekka Savola
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-22 21:26:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Savola 2000-11-21 17:35:51 UTC
Compiling the exploit:

http://packetstorm.securify.com/9908-exploits/portmap.txt

mentioned in #21183

causes gcc internal error:

---
ortmap.c:1: parse error before `:'
In file included from /usr/include/bits/types.h:166,
                 from /usr/include/stdio.h:41,
                 from portmap.c:46:
/usr/include/bits/pthreadtypes.h:48: parse error before `size_t'
/usr/include/bits/pthreadtypes.h:48: warning: no semicolon at end of struct or union
/usr/include/bits/pthreadtypes.h:51: parse error before `__stacksize'
/usr/include/bits/pthreadtypes.h:51: warning: data definition has no type or storage class
/usr/include/bits/pthreadtypes.h:52: warning: data definition has no type or storage class
In file included from /usr/include/_G_config.h:45,
                 from /usr/include/libio.h:31,
                 from /usr/include/stdio.h:70,
                 from portmap.c:46:
/usr/include/gconv.h:71: parse error before `size_t'
/usr/include/gconv.h:84: parse error before `size_t'
/usr/include/gconv.h:93: parse error before `size_t'
/usr/include/gconv.h:169: parse error before `size_t'
/usr/include/gconv.h:169: warning: no semicolon at end of struct or union
/usr/include/gconv.h:172: parse error before `}'
/usr/include/gconv.h:172: warning: data definition has no type or storage class
In file included from /usr/include/libio.h:31,
                 from /usr/include/stdio.h:70,
                 from portmap.c:46:
/usr/include/_G_config.h:47: field `__cd' has incomplete type
/usr/include/_G_config.h:50: field `__cd' has incomplete type
/usr/include/_G_config.h:53: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.
---

Some warnings mostly bogus.

gcc-2.96-54
glibc-2.2-2

Comment 1 Jakub Jelinek 2000-11-22 14:28:08 UTC
Works for me without problems, can you find out what exact code have you
pasted into the compiler? Compiling the part between ---- snip lines is
without error, if I paste the whole mail into gcc, I get a bunch of warnings
like you do, but no ICE.

Comment 2 Pekka Savola 2000-11-22 21:26:30 UTC
I tested that on two RHL7 systems, ICE on both.  What I did:

wget [URL]
mv portmap.txt portmap.c
gcc -o portmap portmap.c

Does this kind of thing ("all kinds of wacky stuff that should generate syntax errors") belong to the 
to-be-fixed catetory?  I guess so..

Don't run that though -- it has a nasty trojan hidden in it's shell code.


Comment 3 Jakub Jelinek 2000-11-27 17:13:01 UTC
Ok, I can see it with gcc up to 2.96-61.


Note You need to log in before you can comment on or make changes to this bug.